View Issue Details

IDProjectCategoryView StatusLast Update
0028966CommunityOCCT:Codingpublic2022-05-19 09:20
ReporterVico Liang Assigned Tobugmaster  
PrioritylowSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0028966: Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes
Descriptionclasses Adaptor2d_HCurve2d, Adaptor3d_HCurve, Adaptor3d_HSurface and their subclasses can be removed and their Handle object can be replaced by NCollection_Handle. It's rather boring to write such a wrapper class for any new user defined adaptor curve or surface.
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0026373 newabv Open CASCADE Merge NCollection_Handle with opencascade::handle 
related to 0024487 closedabv Open CASCADE Getting rid of generic CDL classes 
related to 0023997 feedbackabv Open CASCADE Getting rid of generic classes in DataExchange 
parent of 0032599 closedbugmaster Community Coding Rules - Header file leads to compilation error 
parent of 0032661 verifiedinv Community Coding - Forward class declaration in ProjLib collides with typeref 
parent of 0032973 verifiedifv Community Modeling Algorithms - Regression in BRepExtrema_DistShapeShape compared with 7.5 
has duplicate 0031975 closedbugmaster Open CASCADE Coding Rules - get rid of generic classes in Adaptor3d_GenHSurface 

Activities

kgv

2017-08-03 12:08

developer   ~0069083

Last edited: 2017-08-03 12:09

Package_HName classes in general (not only within Adaptor2d/Adaptor3d) are not just a wrappers over another existing non-transient classes.
They provide own API (method set, which is not always consistent to the wrapped classes) and, therefore, cannot be trivially replaced by NCollection_Handle or NCollection_Shared.

Moving in this direction would lead to API changes requiring noticeable modifications inside OCCT itself, as well as porting efforts for existing application.
Although such duplication does not look nice, it is questionable if such breaking changes are reasonable.

git

2020-12-05 00:20

administrator   ~0097333

Branch CR28966 has been created by kgv.

SHA-1: e50fa5425751f569514e5d41b9630417b0776bdb


Detailed log of new commits:

Author: kgv
Date: Thu Dec 3 17:36:19 2020 +0300

    0028966: Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes
    
    Adaptor2d_Curve2d, Adaptor3d_Curve and Adaptor3d_Surface now inherit Standard_Transient.
    Interfaces Adaptor2d_HCurve2d, Adaptor3d_HCurve, Adaptor3d_HSurface and their subclasses
    are now aliases to Adaptor2d_Curve2d, Adaptor3d_Curve and Adaptor3d_Surface.
    
    Generic classes Adaptor3d_GenHCurve, Adaptor3d_GenHSurface, Adaptor2d_GenHCurve2d have been removed.
    Several redundant .lxx files have been merged into .hxx.

git

2020-12-05 01:21

administrator   ~0097335

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 3d7e0c0d514d285c0ac8afe7dedb3e58d823885c

git

2020-12-05 01:25

administrator   ~0097337

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 2ad17d51aa5a2e834e88ca76c372652da4f50b1e

git

2020-12-05 02:12

administrator   ~0097339

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 14ca9a71748f54943d96a33cb1ae6100147ae013

git

2020-12-05 10:00

administrator   ~0097340

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 929d8789895cdb3ff9f7923236348a0b78083473

git

2020-12-05 10:12

administrator   ~0097342

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 7f313c479ba6fa6d9e107a745eb22b20662a365f

git

2020-12-05 13:44

administrator   ~0097387

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 0f07a72cc4951a334b1b5fc7b27b250c04f9de49

git

2020-12-05 14:14

administrator   ~0097388

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 325732d90224d3bf4e5ef827821c86e6ed162e5c

git

2020-12-05 14:35

administrator   ~0097389

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 4a18677283b2cb7be45d4ff75b629f4b06c4af35

git

2020-12-05 21:58

administrator   ~0097391

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 8868109927428c451157214a02f4ae018b00aa0d

git

2020-12-05 22:18

administrator   ~0097392

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 1ec3858145943d7447b38b6fe1f4ac68ff64e985

git

2020-12-06 00:00

administrator   ~0097394

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 47d199cc838589c506f97459ceaf4c248fce935e

kgv

2020-12-06 10:41

developer   ~0097395

Patch is ready for review
- OCCT: branch CR28966;
- OCC Products: branch CR28966.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR28966-CR28966-KGV2/

abv

2020-12-07 08:48

manager   ~0097401

What is the purpose in preserving header files with obsolete names like Adaptor*_H*.hxx? Since the code that uses these classes must be ported anyway now, removing these names altogether can be not much more annoying but more complete solution. Or at minimum, relevant types shall be declared deprecated.

kgv

2020-12-07 09:57

developer   ~0097404

The purpose is to allow smoother porting of old code.

Do you propose update OCCT code to use non-H names within the same patch and remove these typedefs at once with headers?

abv

2020-12-08 21:16

manager   ~0097433

Yes, that was my idea. This depends indeed on how much these classes are used outside of OCCT (I suppose not much)

git

2020-12-10 16:56

administrator   ~0097469

Branch CR28966 has been updated forcibly by kgv.

SHA-1: 889d65ef03e3c47bab92df43cab1bff3c3749d1b

git

2020-12-10 19:01

administrator   ~0097479

Branch CR28966_1 has been created by kgv.

SHA-1: 865d393083fd1d6266e9e826ac82a790d59eb3e7


Detailed log of new commits:

Author: kgv
Date: Thu Dec 3 17:36:19 2020 +0300

    0028966: Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes
    
    Adaptor2d_Curve2d, Adaptor3d_Curve and Adaptor3d_Surface now inherit Standard_Transient.
    Interfaces Adaptor2d_HCurve2d, Adaptor3d_HCurve, Adaptor3d_HSurface and their subclasses have been removed.
    Several redundant .lxx files have been merged into .hxx.

kgv

2020-12-10 19:03

developer   ~0097481

Updated patch is ready for review
- OCCT: branch CR28966_1;
- OCC Products: branch CR28966_1.

abv

2020-12-11 17:43

manager   ~0097504

Reviewed, please integrate

bugmaster

2020-12-12 12:56

administrator   ~0097526

Combination -
OCCT branch : IR-2020-12-11
master SHA - a25d5aaa30ec81c1fb94a9a394b8afa740611203
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-11 SHA - 32a7f74b10f27f9251808f20fdfe1444ff30c60b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17756.510000000126 / 18090.92999999998 [-1.85%]
Products
Total CPU difference: 12330.210000000125 / 12342.950000000128 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19429.09375 / 19751.71875 [-1.63%]
Products
Total CPU difference: 13755.5 / 13772.515625 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-12-12 13:46

administrator   ~0097532

Branch CR28966_1 has been deleted by inv.

SHA-1: 865d393083fd1d6266e9e826ac82a790d59eb3e7

git

2020-12-12 13:46

administrator   ~0097533

Branch CR28966 has been deleted by inv.

SHA-1: 889d65ef03e3c47bab92df43cab1bff3c3749d1b

Related Changesets

occt: master c22b52d6

2020-12-03 14:36:19

kgv


Committer: bugmaster Details Diff
0028966: Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes

Adaptor2d_Curve2d, Adaptor3d_Curve and Adaptor3d_Surface now inherit Standard_Transient.
Interfaces Adaptor2d_HCurve2d, Adaptor3d_HCurve, Adaptor3d_HSurface and their subclasses
are now aliases to Adaptor2d_Curve2d, Adaptor3d_Curve and Adaptor3d_Surface.
Removed numerous unsafe reinterpret casts.

Generic classes Adaptor3d_GenHCurve, Adaptor3d_GenHSurface, Adaptor2d_GenHCurve2d have been removed.
Several redundant .lxx files have been merged into .hxx.

Removed obsolete adaptor classes with H suffix.
Affected Issues
0028966
mod - adm/upgrade.dat Diff File
mod - dox/upgrade/upgrade.md Diff File
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff File
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.cpp Diff File
mod - samples/mfc/standard/01_Geometry/src/StdAfx.h Diff File
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff File
mod - samples/mfc/standard/02_Modeling/src/StdAfx.h Diff File
mod - src/Adaptor2d/Adaptor2d_Curve2d.cxx Diff File
mod - src/Adaptor2d/Adaptor2d_Curve2d.hxx Diff File
rm - src/Adaptor2d/Adaptor2d_GenHCurve2d.gxx Diff File
rm - src/Adaptor2d/Adaptor2d_GenHCurve2d.lxx Diff File
rm - src/Adaptor2d/Adaptor2d_HCurve2d.cxx Diff File
rm - src/Adaptor2d/Adaptor2d_HCurve2d.hxx Diff File
rm - src/Adaptor2d/Adaptor2d_HCurve2d.lxx Diff File
rm - src/Adaptor2d/Adaptor2d_HLine2d.hxx Diff File
rm - src/Adaptor2d/Adaptor2d_HLine2d_0.cxx Diff File
rm - src/Adaptor2d/Adaptor2d_HOffsetCurve.hxx Diff File
rm - src/Adaptor2d/Adaptor2d_HOffsetCurve_0.cxx Diff File
mod - src/Adaptor2d/Adaptor2d_Line2d.cxx Diff File
mod - src/Adaptor2d/Adaptor2d_Line2d.hxx Diff File
mod - src/Adaptor2d/Adaptor2d_OffsetCurve.cxx Diff File
mod - src/Adaptor2d/Adaptor2d_OffsetCurve.hxx Diff File
rm - src/Adaptor2d/Adaptor2d_OffsetCurve.lxx Diff File
mod - src/Adaptor2d/FILES Diff File
mod - src/Adaptor3d/Adaptor3d_Curve.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_Curve.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_GenHCurve.gxx Diff File
rm - src/Adaptor3d/Adaptor3d_GenHCurve.lxx Diff File
rm - src/Adaptor3d/Adaptor3d_GenHSurface.gxx Diff File
rm - src/Adaptor3d/Adaptor3d_GenHSurface.lxx Diff File
rm - src/Adaptor3d/Adaptor3d_HCurve.cxx Diff File
rm - src/Adaptor3d/Adaptor3d_HCurve.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_HCurve.lxx Diff File
rm - src/Adaptor3d/Adaptor3d_HCurveOnSurface.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_HCurveOnSurface_0.cxx Diff File
rm - src/Adaptor3d/Adaptor3d_HIsoCurve.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_HIsoCurve_0.cxx Diff File
rm - src/Adaptor3d/Adaptor3d_HSurface.cxx Diff File
rm - src/Adaptor3d/Adaptor3d_HSurface.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_HSurface.lxx Diff File
mod - src/Adaptor3d/Adaptor3d_HSurfaceTool.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_HSurfaceTool.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_HSurfaceTool.lxx Diff File
mod - src/Adaptor3d/Adaptor3d_HVertex.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_HVertex.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_InterFunc.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_InterFunc.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_IsoCurve.hxx Diff File
rm - src/Adaptor3d/Adaptor3d_IsoCurve.lxx Diff File
mod - src/Adaptor3d/Adaptor3d_Surface.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_Surface.hxx Diff File
mod - src/Adaptor3d/Adaptor3d_TopolTool.cxx Diff File
mod - src/Adaptor3d/Adaptor3d_TopolTool.hxx Diff File
mod - src/Adaptor3d/FILES Diff File
mod - src/Approx/Approx_Array1OfAdHSurface.hxx Diff File
mod - src/Approx/Approx_Curve2d.cxx Diff File
mod - src/Approx/Approx_Curve2d.hxx Diff File
mod - src/Approx/Approx_Curve3d.cxx Diff File
mod - src/Approx/Approx_Curve3d.hxx Diff File
mod - src/Approx/Approx_CurveOnSurface.cxx Diff File
mod - src/Approx/Approx_CurveOnSurface.hxx Diff File
mod - src/Approx/Approx_CurvilinearParameter.cxx Diff File
mod - src/Approx/Approx_CurvilinearParameter.hxx Diff File
mod - src/Approx/Approx_CurvlinFunc.cxx Diff File
mod - src/Approx/Approx_CurvlinFunc.hxx Diff File
mod - src/Approx/Approx_HArray1OfAdHSurface.hxx Diff File
mod - src/Approx/Approx_SameParameter.cxx Diff File
mod - src/Approx/Approx_SameParameter.hxx Diff File
mod - src/BiTgte/BiTgte_CurveOnEdge.cxx Diff File
mod - src/BiTgte/BiTgte_CurveOnEdge.hxx Diff File
mod - src/BiTgte/BiTgte_CurveOnVertex.cxx Diff File
mod - src/BiTgte/BiTgte_CurveOnVertex.hxx Diff File
rm - src/BiTgte/BiTgte_HCurveOnEdge.hxx Diff File
rm - src/BiTgte/BiTgte_HCurveOnEdge_0.cxx Diff File
rm - src/BiTgte/BiTgte_HCurveOnVertex.hxx Diff File
rm - src/BiTgte/BiTgte_HCurveOnVertex_0.cxx Diff File
mod - src/BiTgte/FILES Diff File
mod - src/Blend/Blend_CSWalking.gxx Diff File
mod - src/Blend/Blend_CSWalking_3.gxx Diff File
mod - src/Blend/Blend_FuncInv.cxx Diff File
mod - src/Blend/Blend_FuncInv.hxx Diff File
mod - src/Blend/Blend_SurfCurvFuncInv.cxx Diff File
mod - src/Blend/Blend_SurfCurvFuncInv.hxx Diff File
mod - src/Blend/Blend_Walking.gxx Diff File
mod - src/Blend/Blend_Walking_1.gxx Diff File
mod - src/Blend/Blend_Walking_3.gxx Diff File
mod - src/Blend/Blend_Walking_4.gxx Diff File
mod - src/BlendFunc/BlendFunc.cxx Diff File
mod - src/BlendFunc/BlendFunc.hxx Diff File
mod - src/BlendFunc/BlendFunc_Chamfer.cxx Diff File
mod - src/BlendFunc/BlendFunc_Chamfer.hxx Diff File
mod - src/BlendFunc/BlendFunc_ChamfInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ChamfInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsym.cxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsym.hxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsymInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsymInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRad.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRad.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRadInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRadInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroat.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroat.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetration.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetration.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetrationInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetrationInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_Corde.cxx Diff File
mod - src/BlendFunc/BlendFunc_Corde.hxx Diff File
mod - src/BlendFunc/BlendFunc_CSCircular.cxx Diff File
mod - src/BlendFunc/BlendFunc_CSCircular.hxx Diff File
mod - src/BlendFunc/BlendFunc_CSConstRad.cxx Diff File
mod - src/BlendFunc/BlendFunc_CSConstRad.hxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRad.cxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRad.hxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRadInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRadInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfer.cxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfer.hxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_Ruled.cxx Diff File
mod - src/BlendFunc/BlendFunc_Ruled.hxx Diff File
mod - src/BlendFunc/BlendFunc_RuledInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_RuledInv.hxx Diff File
mod - src/BndLib/BndLib_AddSurface.cxx Diff File
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff File
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff File
mod - src/BRep/BRep_Tool.cxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_CompCurve.cxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_CompCurve.hxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Curve.cxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Curve.hxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Curve2d.cxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Curve2d.hxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HCompCurve.hxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HCompCurve_0.cxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HCurve.hxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HCurve2d.hxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HCurve2d_0.cxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HCurve_0.cxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HSurface.hxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_HSurface_0.cxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Surface.cxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Surface.hxx Diff File
rm - src/BRepAdaptor/BRepAdaptor_Surface.lxx Diff File
mod - src/BRepAdaptor/FILES Diff File
mod - src/BRepAlgo/BRepAlgo_NormalProjection.cxx Diff File
mod - src/BRepApprox/BRepApprox_SurfaceTool.cxx Diff File
mod - src/BRepApprox/BRepApprox_SurfaceTool.hxx Diff File
mod - src/BRepApprox/BRepApprox_SurfaceTool.lxx Diff File
mod - src/BRepBlend/BRepBlend_BlendTool.cxx Diff File
mod - src/BRepBlend/BRepBlend_BlendTool.hxx Diff File
mod - src/BRepBlend/BRepBlend_BlendTool.lxx Diff File
mod - src/BRepBlend/BRepBlend_CSWalking.hxx Diff File
mod - src/BRepBlend/BRepBlend_CSWalking_0.cxx Diff File
mod - src/BRepBlend/BRepBlend_CurvPointRadInv.cxx Diff File
mod - src/BRepBlend/BRepBlend_CurvPointRadInv.hxx Diff File
mod - src/BRepBlend/BRepBlend_Extremity.cxx Diff File
mod - src/BRepBlend/BRepBlend_Extremity.hxx Diff File
mod - src/BRepBlend/BRepBlend_HCurve2dTool.cxx Diff File
mod - src/BRepBlend/BRepBlend_HCurve2dTool.hxx Diff File
mod - src/BRepBlend/BRepBlend_HCurve2dTool.lxx Diff File
mod - src/BRepBlend/BRepBlend_HCurveTool.cxx Diff File
mod - src/BRepBlend/BRepBlend_HCurveTool.hxx Diff File
mod - src/BRepBlend/BRepBlend_HCurveTool.lxx Diff File
mod - src/BRepBlend/BRepBlend_PointOnRst.cxx Diff File
mod - src/BRepBlend/BRepBlend_PointOnRst.hxx Diff File
mod - src/BRepBlend/BRepBlend_PointOnRst.lxx Diff File
mod - src/BRepBlend/BRepBlend_RstRstConstRad.cxx Diff File
mod - src/BRepBlend/BRepBlend_RstRstConstRad.hxx Diff File
mod - src/BRepBlend/BRepBlend_RstRstEvolRad.cxx Diff File
mod - src/BRepBlend/BRepBlend_RstRstEvolRad.hxx Diff File
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff File
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfCurvConstRadInv.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfCurvConstRadInv.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfCurvEvolRadInv.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfCurvEvolRadInv.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfPointConstRadInv.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfPointConstRadInv.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfPointEvolRadInv.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfPointEvolRadInv.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfRstConstRad.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfRstConstRad.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfRstEvolRad.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfRstEvolRad.hxx Diff File
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff File
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.hxx Diff File
mod - src/BRepBlend/BRepBlend_Walking.hxx Diff File
mod - src/BRepBlend/BRepBlend_Walking_0.cxx Diff File
mod - src/BRepBndLib/BRepBndLib.cxx Diff File
mod - src/BRepBndLib/BRepBndLib_1.cxx Diff File
mod - src/BRepCheck/BRepCheck.cxx Diff File
mod - src/BRepCheck/BRepCheck.hxx Diff File
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff File
mod - src/BRepCheck/BRepCheck_Edge.hxx Diff File
mod - src/BRepCheck/BRepCheck_Face.cxx Diff File
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff File
mod - src/BRepClass/BRepClass_FaceClassifier.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_Intersector3d.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtCC.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtCF.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtFF.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtPC.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff File
mod - src/BRepFill/BRepFill_ACRLaw.cxx Diff File
mod - src/BRepFill/BRepFill_AdvancedEvolved.cxx Diff File
mod - src/BRepFill/BRepFill_CurveConstraint.cxx Diff File
mod - src/BRepFill/BRepFill_CurveConstraint.hxx Diff File
mod - src/BRepFill/BRepFill_Draft.cxx Diff File
mod - src/BRepFill/BRepFill_Edge3DLaw.cxx Diff File
mod - src/BRepFill/BRepFill_EdgeOnSurfLaw.cxx Diff File
mod - src/BRepFill/BRepFill_Filling.cxx Diff File
mod - src/BRepFill/BRepFill_LocationLaw.cxx Diff File
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff File
mod - src/BRepFill/BRepFill_Pipe.cxx Diff File
mod - src/BRepFill/BRepFill_PipeShell.cxx Diff File
mod - src/BRepFill/BRepFill_SectionPlacement.cxx Diff File
mod - src/BRepFill/BRepFill_Sweep.cxx Diff File
mod - src/BRepFill/BRepFill_TrimSurfaceTool.cxx Diff File
mod - src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx Diff File
mod - src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.hxx Diff File
mod - src/BRepLib/BRepLib.cxx Diff File
mod - src/BRepLib/BRepLib_MakeEdge.cxx Diff File
mod - src/BRepMesh/BRepMesh_CurveTessellator.cxx Diff File
mod - src/BRepMesh/BRepMesh_DefaultRangeSplitter.cxx Diff File
mod - src/BRepMesh/BRepMesh_DefaultRangeSplitter.hxx Diff File
mod - src/BRepMesh/BRepMesh_DelaunayDeflectionControlMeshAlgo.hxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeDiscret.cxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeParameterProvider.hxx Diff File
mod - src/BRepMesh/BRepMesh_GeomTool.cxx Diff File
mod - src/BRepMesh/BRepMesh_GeomTool.hxx Diff File
mod - src/BRepMesh/BRepMesh_NURBSRangeSplitter.cxx Diff File
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff File
mod - src/BRepOffset/BRepOffset_Inter2d.hxx Diff File
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_MakeSimpleOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_Offset.cxx Diff File
mod - src/BRepOffset/BRepOffset_SimpleOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeRevol.cxx Diff File
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff File
mod - src/BRepSweep/BRepSweep_Translation.cxx Diff File
mod - src/BRepTest/BRepTest_FillingCommands.cxx Diff File
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff File
mod - src/BRepTools/BRepTools_NurbsConvertModification.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_HVertex.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_HVertex.hxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_Tool.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_Tool.hxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_TopolTool.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_TopolTool.hxx Diff File
mod - src/ChFi3d/ChFi3d.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder.hxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_0.hxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_1.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_C2.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_CnCrn.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_NotImp.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_SpKP.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder.hxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder_C2.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder_C3.cxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder.hxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder_C2.cxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder_C3.cxx Diff File
mod - src/ChFiDS/ChFiDS_ElSpine.cxx Diff File
mod - src/ChFiDS/ChFiDS_ElSpine.hxx Diff File
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff File
mod - src/ChFiDS/ChFiDS_FilSpine.hxx Diff File
rm - src/ChFiDS/ChFiDS_HElSpine.hxx Diff File
rm - src/ChFiDS/ChFiDS_HElSpine_0.cxx Diff File
mod - src/ChFiDS/ChFiDS_ListOfHElSpine.hxx Diff File
mod - src/ChFiDS/ChFiDS_Spine.cxx Diff File
mod - src/ChFiDS/ChFiDS_Spine.hxx Diff File
mod - src/ChFiDS/FILES Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnCon.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnCyl.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnPln.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnCon.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnCyl.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnPln.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_CS.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_CS.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_Fcts.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCon.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCyl.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnPln.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_Rotule.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_Sphere.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_Sphere.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_RstMap.hxx Diff File
mod - src/Contap/Contap_ArcFunction.cxx Diff File
mod - src/Contap/Contap_ArcFunction.hxx Diff File
mod - src/Contap/Contap_ArcFunction.lxx Diff File
mod - src/Contap/Contap_Contour.cxx Diff File
mod - src/Contap/Contap_Contour.hxx Diff File
mod - src/Contap/Contap_HContTool.cxx Diff File
mod - src/Contap/Contap_HContTool.hxx Diff File
mod - src/Contap/Contap_HCurve2dTool.cxx Diff File
mod - src/Contap/Contap_HCurve2dTool.hxx Diff File
mod - src/Contap/Contap_HCurve2dTool.lxx Diff File
mod - src/Contap/Contap_Line.cxx Diff File
mod - src/Contap/Contap_Line.hxx Diff File
mod - src/Contap/Contap_Point.cxx Diff File
mod - src/Contap/Contap_Point.hxx Diff File
mod - src/Contap/Contap_Point.lxx Diff File
mod - src/Contap/Contap_SurfFunction.cxx Diff File
mod - src/Contap/Contap_SurfFunction.hxx Diff File
mod - src/Contap/Contap_SurfFunction.lxx Diff File
mod - src/Contap/Contap_SurfProps.cxx Diff File
mod - src/Contap/Contap_SurfProps.hxx Diff File
mod - src/Contap/Contap_TheIWalking.hxx Diff File
mod - src/Contap/Contap_TheIWalking_0.cxx Diff File
mod - src/Contap/Contap_ThePathPointOfTheSearch.hxx Diff File
mod - src/Contap/Contap_ThePathPointOfTheSearch_0.cxx Diff File
mod - src/Contap/Contap_TheSearch.hxx Diff File
mod - src/Contap/Contap_TheSearchInside.hxx Diff File
mod - src/Contap/Contap_TheSearchInside_0.cxx Diff File
mod - src/Contap/Contap_TheSearch_0.cxx Diff File
mod - src/Contap/Contap_TheSegmentOfTheSearch.hxx Diff File
mod - src/Contap/Contap_TheSegmentOfTheSearch_0.cxx Diff File
mod - src/DBRep/DBRep_DrawableShape.cxx Diff File
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff File
mod - src/Draft/Draft_Modification_1.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_BSplineSurface.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Surface.cxx Diff File
mod - src/Extrema/Extrema_ExtPExtS.cxx Diff File
mod - src/Extrema/Extrema_ExtPExtS.hxx Diff File
mod - src/Extrema/Extrema_ExtPRevS.cxx Diff File
mod - src/Extrema/Extrema_ExtPRevS.hxx Diff File
mod - src/Extrema/Extrema_ExtPS.cxx Diff File
mod - src/Extrema/Extrema_GenExtCS.cxx Diff File
mod - src/Extrema/Extrema_GenExtPS.cxx Diff File
mod - src/FilletSurf/FilletSurf_InternalBuilder.cxx Diff File
mod - src/FilletSurf/FilletSurf_InternalBuilder.hxx Diff File
mod - src/Geom2dAdaptor/FILES Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor.hxx Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.hxx Diff File
rm - src/Geom2dAdaptor/Geom2dAdaptor_Curve.lxx Diff File
rm - src/Geom2dAdaptor/Geom2dAdaptor_GHCurve.hxx Diff File
rm - src/Geom2dAdaptor/Geom2dAdaptor_GHCurve_0.cxx Diff File
rm - src/Geom2dAdaptor/Geom2dAdaptor_HCurve.cxx Diff File
rm - src/Geom2dAdaptor/Geom2dAdaptor_HCurve.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.cxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.hxx Diff File
mod - src/Geom2dEvaluator/Geom2dEvaluator_OffsetCurve.cxx Diff File
mod - src/Geom2dEvaluator/Geom2dEvaluator_OffsetCurve.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRadGeo.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRadGeo.cxx Diff File
mod - src/GeomAdaptor/FILES Diff File
mod - src/GeomAdaptor/GeomAdaptor.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor.hxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Curve.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_Curve.lxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_GHCurve.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_GHCurve_0.cxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_GHSurface.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_GHSurface_0.cxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HCurve.cxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HCurve.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HCurve.lxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurface.cxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurface.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurface.lxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurfaceOfLinearExtrusion.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurfaceOfLinearExtrusion_0.cxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurfaceOfRevolution.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_HSurfaceOfRevolution_0.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Surface.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Surface.hxx Diff File
rm - src/GeomAdaptor/GeomAdaptor_Surface.lxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfLinearExtrusion.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfLinearExtrusion.hxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfRevolution.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfRevolution.hxx Diff File
mod - src/GeomAPI/GeomAPI.cxx Diff File
mod - src/GeomAPI/GeomAPI_IntCS.cxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxCurve.cxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxCurve.hxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxSurface.cxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxSurface.hxx Diff File
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_OffsetCurve.cxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_OffsetCurve.hxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_OffsetSurface.cxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_OffsetSurface.hxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_SurfaceOfExtrusion.cxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_SurfaceOfExtrusion.hxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_SurfaceOfRevolution.cxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_SurfaceOfRevolution.hxx Diff File
mod - src/GeomFill/GeomFill_BoundWithSurf.cxx Diff File
mod - src/GeomFill/GeomFill_BoundWithSurf.hxx Diff File
mod - src/GeomFill/GeomFill_CircularBlendFunc.cxx Diff File
mod - src/GeomFill/GeomFill_CircularBlendFunc.hxx Diff File
mod - src/GeomFill/GeomFill_ConstantBiNormal.cxx Diff File
mod - src/GeomFill/GeomFill_ConstantBiNormal.hxx Diff File
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff File
mod - src/GeomFill/GeomFill_CorrectedFrenet.hxx Diff File
mod - src/GeomFill/GeomFill_CurveAndTrihedron.cxx Diff File
mod - src/GeomFill/GeomFill_CurveAndTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_Darboux.cxx Diff File
mod - src/GeomFill/GeomFill_DiscreteTrihedron.cxx Diff File
mod - src/GeomFill/GeomFill_DiscreteTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_DraftTrihedron.cxx Diff File
mod - src/GeomFill/GeomFill_Frenet.cxx Diff File
mod - src/GeomFill/GeomFill_Frenet.hxx Diff File
mod - src/GeomFill/GeomFill_FunctionDraft.cxx Diff File
mod - src/GeomFill/GeomFill_FunctionDraft.hxx Diff File
mod - src/GeomFill/GeomFill_FunctionGuide.cxx Diff File
mod - src/GeomFill/GeomFill_FunctionGuide.hxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronAC.cxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronAC.hxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.cxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.hxx Diff File
mod - src/GeomFill/GeomFill_LocationDraft.cxx Diff File
mod - src/GeomFill/GeomFill_LocationDraft.hxx Diff File
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff File
mod - src/GeomFill/GeomFill_LocationGuide.hxx Diff File
mod - src/GeomFill/GeomFill_LocationLaw.cxx Diff File
mod - src/GeomFill/GeomFill_LocationLaw.hxx Diff File
mod - src/GeomFill/GeomFill_Pipe.cxx Diff File
mod - src/GeomFill/GeomFill_Pipe.hxx Diff File
mod - src/GeomFill/GeomFill_PlanFunc.cxx Diff File
mod - src/GeomFill/GeomFill_PlanFunc.hxx Diff File
mod - src/GeomFill/GeomFill_SectionPlacement.cxx Diff File
mod - src/GeomFill/GeomFill_SectionPlacement.hxx Diff File
mod - src/GeomFill/GeomFill_SimpleBound.cxx Diff File
mod - src/GeomFill/GeomFill_SimpleBound.hxx Diff File
mod - src/GeomFill/GeomFill_SnglrFunc.cxx Diff File
mod - src/GeomFill/GeomFill_SnglrFunc.hxx Diff File
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff File
mod - src/GeomFill/GeomFill_SweepSectionGenerator.hxx Diff File
mod - src/GeomFill/GeomFill_TrihedronLaw.cxx Diff File
mod - src/GeomFill/GeomFill_TrihedronLaw.hxx Diff File
mod - src/GeomFill/GeomFill_TrihedronWithGuide.cxx Diff File
mod - src/GeomFill/GeomFill_TrihedronWithGuide.hxx Diff File
mod - src/GeomInt/GeomInt_IntSS.cxx Diff File
mod - src/GeomInt/GeomInt_IntSS.hxx Diff File
mod - src/GeomInt/GeomInt_IntSS.lxx Diff File
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff File
mod - src/GeomInt/GeomInt_LineConstructor.cxx Diff File
mod - src/GeomInt/GeomInt_LineConstructor.hxx Diff File
mod - src/GeomInt/GeomInt_LineConstructor.lxx Diff File
mod - src/GeomInt/GeomInt_LineTool.cxx Diff File
mod - src/GeomInt/GeomInt_LineTool.hxx Diff File
mod - src/GeomInt/GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox_0.cxx Diff File
mod - src/GeomInt/GeomInt_TheImpPrmSvSurfacesOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheImpPrmSvSurfacesOfWLApprox_0.cxx Diff File
mod - src/GeomInt/GeomInt_TheInt2SOfThePrmPrmSvSurfacesOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheInt2SOfThePrmPrmSvSurfacesOfWLApprox_0.cxx Diff File
mod - src/GeomInt/GeomInt_ThePrmPrmSvSurfacesOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ThePrmPrmSvSurfacesOfWLApprox_0.cxx Diff File
mod - src/GeomInt/GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox_0.cxx Diff File
mod - src/GeomInt/GeomInt_WLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_WLApprox_0.cxx Diff File
mod - src/GeomLib/GeomLib.cxx Diff File
mod - src/GeomLib/GeomLib.hxx Diff File
mod - src/GeomLib/GeomLib_CheckCurveOnSurface.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_CurveCommands.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff File
mod - src/GeomPlate/GeomPlate_Array1OfHCurve.hxx Diff File
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff File
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.hxx Diff File
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff File
mod - src/GeomPlate/GeomPlate_CurveConstraint.hxx Diff File
mod - src/GeomPlate/GeomPlate_HArray1OfHCurve.hxx Diff File
mod - src/GeomProjLib/GeomProjLib.cxx Diff File
mod - src/HLRBRep/HLRBRep_BSurfaceTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_BSurfaceTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_BSurfaceTool.lxx Diff File
mod - src/HLRBRep/HLRBRep_SurfaceTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_SurfaceTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_SurfaceTool.lxx Diff File
mod - src/HLRBRep/HLRBRep_ThePolygonOfInterCSurf.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff File
mod - src/IMeshData/IMeshData_Face.hxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_Intersector.cxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_Intersector.hxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_ShapeIntersector.cxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_ShapeIntersector.hxx Diff File
mod - src/IntCurveSurface/FILES Diff File
mod - src/IntCurveSurface/IntCurveSurface_HInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_HInter_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff File
rm - src/IntCurveSurface/IntCurveSurface_Polygon.lxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheCSFunctionOfHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheCSFunctionOfHInter_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheExactHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheExactHInter_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheHCurveTool.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheHCurveTool_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolygonOfHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolygonOfHInter_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolyhedronOfHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_ThePolyhedronOfHInter_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheQuadCurvExactHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheQuadCurvExactHInter_0.cxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheQuadCurvFuncOfTheQuadCurvExactHInter.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_TheQuadCurvFuncOfTheQuadCurvExactHInter_0.cxx Diff File
mod - src/IntPatch/IntPatch_ALineToWLine.cxx Diff File
mod - src/IntPatch/IntPatch_ALineToWLine.hxx Diff File
mod - src/IntPatch/IntPatch_ArcFunction.cxx Diff File
mod - src/IntPatch/IntPatch_ArcFunction.hxx Diff File
mod - src/IntPatch/IntPatch_ArcFunction.lxx Diff File
mod - src/IntPatch/IntPatch_CSFunction.cxx Diff File
mod - src/IntPatch/IntPatch_CSFunction.hxx Diff File
mod - src/IntPatch/IntPatch_CurvIntSurf.hxx Diff File
mod - src/IntPatch/IntPatch_CurvIntSurf_0.cxx Diff File
mod - src/IntPatch/IntPatch_HCurve2dTool.cxx Diff File
mod - src/IntPatch/IntPatch_HCurve2dTool.hxx Diff File
mod - src/IntPatch/IntPatch_HCurve2dTool.lxx Diff File
mod - src/IntPatch/IntPatch_HInterTool.cxx Diff File
mod - src/IntPatch/IntPatch_HInterTool.hxx Diff File
mod - src/IntPatch/IntPatch_HInterTool.lxx Diff File
mod - src/IntPatch/IntPatch_ImpImpIntersection.cxx Diff File
mod - src/IntPatch/IntPatch_ImpImpIntersection.hxx Diff File
mod - src/IntPatch/IntPatch_ImpImpIntersection_0.gxx Diff File
mod - src/IntPatch/IntPatch_ImpImpIntersection_2.gxx Diff File
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff File
mod - src/IntPatch/IntPatch_ImpPrmIntersection.hxx Diff File
mod - src/IntPatch/IntPatch_Intersection.cxx Diff File
mod - src/IntPatch/IntPatch_Intersection.hxx Diff File
mod - src/IntPatch/IntPatch_LineConstructor.cxx Diff File
mod - src/IntPatch/IntPatch_LineConstructor.hxx Diff File
mod - src/IntPatch/IntPatch_Point.cxx Diff File
mod - src/IntPatch/IntPatch_Point.hxx Diff File
mod - src/IntPatch/IntPatch_Point.lxx Diff File
mod - src/IntPatch/IntPatch_PointLine.cxx Diff File
mod - src/IntPatch/IntPatch_PointLine.hxx Diff File
mod - src/IntPatch/IntPatch_PolyArc.cxx Diff File
mod - src/IntPatch/IntPatch_PolyArc.hxx Diff File
mod - src/IntPatch/IntPatch_Polyhedron.cxx Diff File
mod - src/IntPatch/IntPatch_Polyhedron.hxx Diff File
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff File
mod - src/IntPatch/IntPatch_PrmPrmIntersection.hxx Diff File
mod - src/IntPatch/IntPatch_RLine.cxx Diff File
mod - src/IntPatch/IntPatch_RLine.hxx Diff File
mod - src/IntPatch/IntPatch_RLine.lxx Diff File
mod - src/IntPatch/IntPatch_RstInt.cxx Diff File
mod - src/IntPatch/IntPatch_RstInt.hxx Diff File
mod - src/IntPatch/IntPatch_SpecialPoints.cxx Diff File
mod - src/IntPatch/IntPatch_SpecialPoints.hxx Diff File
mod - src/IntPatch/IntPatch_TheIWalking.hxx Diff File
mod - src/IntPatch/IntPatch_TheIWalking_0.cxx Diff File
mod - src/IntPatch/IntPatch_ThePathPointOfTheSOnBounds.hxx Diff File
mod - src/IntPatch/IntPatch_ThePathPointOfTheSOnBounds_0.cxx Diff File
mod - src/IntPatch/IntPatch_TheSearchInside.hxx Diff File
mod - src/IntPatch/IntPatch_TheSearchInside_0.cxx Diff File
mod - src/IntPatch/IntPatch_TheSegmentOfTheSOnBounds.hxx Diff File
mod - src/IntPatch/IntPatch_TheSegmentOfTheSOnBounds_0.cxx Diff File
mod - src/IntPatch/IntPatch_TheSOnBounds.hxx Diff File
mod - src/IntPatch/IntPatch_TheSOnBounds_0.cxx Diff File
mod - src/IntPatch/IntPatch_TheSurfFunction.hxx Diff File
mod - src/IntPatch/IntPatch_TheSurfFunction_0.cxx Diff File
mod - src/IntPatch/IntPatch_WLine.cxx Diff File
mod - src/IntPatch/IntPatch_WLine.hxx Diff File
mod - src/IntPatch/IntPatch_WLineTool.cxx Diff File
mod - src/IntPatch/IntPatch_WLineTool.hxx Diff File
mod - src/IntPolyh/IntPolyh_Intersection.cxx Diff File
mod - src/IntPolyh/IntPolyh_Intersection.hxx Diff File
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff File
mod - src/IntPolyh/IntPolyh_MaillageAffinage.hxx Diff File
mod - src/IntPolyh/IntPolyh_Point.cxx Diff File
mod - src/IntPolyh/IntPolyh_Point.hxx Diff File
mod - src/IntPolyh/IntPolyh_Tools.cxx Diff File
mod - src/IntPolyh/IntPolyh_Tools.hxx Diff File
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff File
mod - src/IntPolyh/IntPolyh_Triangle.hxx Diff File
mod - src/IntStart/IntStart_SearchOnBoundaries.gxx Diff File
mod - src/IntSurf/IntSurf.cxx Diff File
mod - src/IntSurf/IntSurf.hxx Diff File
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff File
mod - src/IntTools/IntTools_EdgeFace.cxx Diff File
mod - src/IntTools/IntTools_FaceFace.cxx Diff File
mod - src/IntTools/IntTools_FaceFace.hxx Diff File
mod - src/IntTools/IntTools_FClass2d.cxx Diff File
mod - src/IntTools/IntTools_TopolTool.cxx Diff File
mod - src/IntTools/IntTools_TopolTool.hxx Diff File
mod - src/IntTools/IntTools_WLineTool.cxx Diff File
mod - src/IntTools/IntTools_WLineTool.hxx Diff File
mod - src/IntWalk/IntWalk_PWalking.cxx Diff File
mod - src/IntWalk/IntWalk_PWalking.hxx Diff File
mod - src/IntWalk/IntWalk_TheFunctionOfTheInt2S.hxx Diff File
mod - src/IntWalk/IntWalk_TheFunctionOfTheInt2S_0.cxx Diff File
mod - src/IntWalk/IntWalk_TheInt2S.hxx Diff File
mod - src/IntWalk/IntWalk_TheInt2S_0.cxx Diff File
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.hxx Diff File
mod - src/LocOpe/LocOpe.cxx Diff File
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff File
mod - src/LocOpe/LocOpe_FindEdgesInFace.cxx Diff File
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff File
mod - src/LProp3d/LProp3d_CLProps.hxx Diff File
mod - src/LProp3d/LProp3d_CLProps_0.cxx Diff File
mod - src/LProp3d/LProp3d_CurveTool.cxx Diff File
mod - src/LProp3d/LProp3d_CurveTool.hxx Diff File
mod - src/LProp3d/LProp3d_SLProps.hxx Diff File
mod - src/LProp3d/LProp3d_SLProps_0.cxx Diff File
mod - src/LProp3d/LProp3d_SurfaceTool.cxx Diff File
mod - src/LProp3d/LProp3d_SurfaceTool.hxx Diff File
mod - src/MAT2d/MAT2d_Circuit.cxx Diff File
mod - src/ProjLib/FILES Diff File
mod - src/ProjLib/ProjLib.cxx Diff File
mod - src/ProjLib/ProjLib.hxx Diff File
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff File
mod - src/ProjLib/ProjLib_CompProjectedCurve.hxx Diff File
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff File
mod - src/ProjLib/ProjLib_ComputeApprox.hxx Diff File
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff File
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.hxx Diff File
mod - src/ProjLib/ProjLib_HCompProjectedCurve.hxx Diff File
rm - src/ProjLib/ProjLib_HCompProjectedCurve_0.cxx Diff File
mod - src/ProjLib/ProjLib_HProjectedCurve.hxx Diff File
rm - src/ProjLib/ProjLib_HProjectedCurve_0.cxx Diff File
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff File
mod - src/ProjLib/ProjLib_ProjectedCurve.hxx Diff File
mod - src/ProjLib/ProjLib_ProjectOnPlane.cxx Diff File
mod - src/ProjLib/ProjLib_ProjectOnPlane.hxx Diff File
mod - src/ProjLib/ProjLib_ProjectOnSurface.cxx Diff File
mod - src/ProjLib/ProjLib_ProjectOnSurface.hxx Diff File
mod - src/PrsDim/PrsDim.cxx Diff File
mod - src/PrsDim/PrsDim_Dimension.cxx Diff File
mod - src/QABugs/QABugs_19.cxx Diff File
mod - src/QABugs/QABugs_20.cxx Diff File
mod - src/QABugs/QABugs_5.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Edge.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.lxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_TransferParametersProj.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Wire.cxx Diff File
mod - src/ShapeConstruct/ShapeConstruct.hxx Diff File
mod - src/ShapeConstruct/ShapeConstruct_Curve.cxx Diff File
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff File
mod - src/ShapeCustom/ShapeCustom_Surface.cxx Diff File
mod - src/ShapeCustom/ShapeCustom_SweptToElementary.cxx Diff File
mod - src/ShapeFix/ShapeFix.cxx Diff File
mod - src/ShapeFix/ShapeFix_EdgeProjAux.cxx Diff File
mod - src/ShapeFix/ShapeFix_Face.cxx Diff File
mod - src/ShapeFix/ShapeFix_IntersectionTool.cxx Diff File
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff File
mod - src/ShapeFix/ShapeFix_Wire_1.cxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff File
mod - src/StdPrs/StdPrs_BRepFont.cxx Diff File
mod - src/StdPrs/StdPrs_BRepFont.hxx Diff File
mod - src/StdPrs/StdPrs_Isolines.cxx Diff File
mod - src/StdPrs/StdPrs_Isolines.hxx Diff File
mod - src/StdPrs/StdPrs_ToolRFace.cxx Diff File
mod - src/StdPrs/StdPrs_ToolRFace.hxx Diff File
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.cxx Diff File
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.hxx Diff File
mod - src/StdPrs/StdPrs_WFDeflectionSurface.cxx Diff File
mod - src/StdPrs/StdPrs_WFDeflectionSurface.hxx Diff File
mod - src/StdPrs/StdPrs_WFRestrictedFace.cxx Diff File
mod - src/StdPrs/StdPrs_WFRestrictedFace.hxx Diff File
mod - src/StdPrs/StdPrs_WFShape.cxx Diff File
mod - src/StdPrs/StdPrs_WFSurface.cxx Diff File
mod - src/StdPrs/StdPrs_WFSurface.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff File
mod - src/SWDRAW/SWDRAW_ShapeAnalysis.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector_1.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_FacesIntersector.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_FacesIntersector.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_Hctxff2d.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_Hctxff2d.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_LineInter.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_PointClassifier.cxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_PointClassifier.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.cxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Tools_1.cxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_funk.cxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_2d.cxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_CurveTool.cxx Diff File
mod - src/VrmlConverter/VrmlConverter_WFDeflectionRestrictedFace.cxx Diff File
mod - src/VrmlConverter/VrmlConverter_WFDeflectionRestrictedFace.hxx Diff File
mod - src/VrmlConverter/VrmlConverter_WFDeflectionShape.cxx Diff File
mod - src/VrmlConverter/VrmlConverter_WFRestrictedFace.cxx Diff File
mod - src/VrmlConverter/VrmlConverter_WFRestrictedFace.hxx Diff File
mod - src/VrmlConverter/VrmlConverter_WFShape.cxx Diff File

occt-products: master 3413f43a

2020-12-03 22:52:07

kgv


Committer: bugmaster Details Diff
0028966: Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes

Removed obsolete adaptor classes with H suffix.
Affected Issues
0028966
mod - blob Diff File
mod - blob Diff File
mod - blob Diff File
mod - blob Diff File
mod - blob Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - samples/swig/TKBRep.i Diff File
mod - samples/swig/TKG2d.i Diff File
mod - samples/swig/TKG3d.i Diff File
mod - src/AcisData/AcisData.hxx Diff File
mod - src/AcisData/AcisData_CurveLawAdaptor.cxx Diff File
mod - src/AcisData/AcisData_CurveLawBSplApprox.cxx Diff File
mod - src/AcisData/AcisData_CurveLawBSplApprox.hxx Diff File
rm - src/AcisData/AcisData_GHCurveLawAdaptor_0.cxx Diff File
rm - src/AcisData/AcisData_HCurveLawAdaptor.cxx Diff File
rm - src/AcisData/AcisData_HCurveLawAdaptor.hxx Diff File
mod - src/AcisData/AcisData_MakeCurve.cxx Diff File
mod - src/AcisData/AcisData_MakeSurface.cxx Diff File
mod - src/AcisData/FILES Diff File
mod - src/AcisOther/AcisOther_BlendFunc.cxx Diff File
mod - src/AcisOther/AcisOther_BlendFunc.hxx Diff File
mod - src/AcisOther/AcisOther_SrfSrfBlendFunc.cxx Diff File
mod - src/AcisOther/AcisOther_SrfSrfBlendFunc.hxx Diff File
mod - src/AcisOther/FILES Diff File
mod - src/Geodesic/Geodesic_ShellDistances.cxx Diff File
mod - src/HelixGeom/FILES Diff File
mod - src/HelixGeom/HelixGeom_BuilderHelixCoil.cxx Diff File
rm - src/HelixGeom/HelixGeom_GHHelixCurve.hxx Diff File
rm - src/HelixGeom/HelixGeom_HHelixCurve.cxx Diff File
mod - src/HelixGeom/HelixGeom_Tools.cxx Diff File
mod - src/HelixGeom/HelixGeom_Tools.hxx Diff File
mod - src/PMIVis/PMIVis_RadialDimension.cxx Diff File
mod - src/QMBgr/QMBgr_FacetBuilder.cxx Diff File
mod - src/QMBgr/QMBgr_QuadNode.cxx Diff File
mod - src/QMBgr/QMBgr_QuadTree.hxx Diff File
mod - src/QMShape/QMShape_CurveAdaptor.cxx Diff File
mod - src/QMShape/QMShape_DiscrCurve.cxx Diff File
mod - src/QMTools/QMTools_Polygon2dTool.hxx Diff File
mod - src/ShapeConvert/ShapeConvert_SameGeometry.cxx Diff File
mod - src/ShapeConvert/ShapeConvert_Surface.cxx Diff File
mod - src/ShapeFixAdv/ShapeFixAdv_Face.cxx Diff File
mod - src/XSDRAWSAT/XSDRAWSAT.cxx Diff File
mod - src/XtToGeom/XtToGeom_MakeBlendedEdge.cxx Diff File
mod - src/XtToGeom/XtToGeom_MakeBlendSurf.cxx Diff File
mod - src/XtToGeom/XtToGeom_MakeBlendSurf.hxx Diff File

Issue History

Date Modified Username Field Change
2017-08-01 15:27 Vico Liang New Issue
2017-08-01 15:27 Vico Liang Assigned To => kgv
2017-08-03 11:58 kgv Relationship added related to 0026373
2017-08-03 12:02 kgv Severity minor => integration request
2017-08-03 12:02 kgv Summary Remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes => Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes
2017-08-03 12:03 kgv Relationship added related to 0024487
2017-08-03 12:03 kgv Relationship added related to 0023997
2017-08-03 12:08 kgv Note Added: 0069083
2017-08-03 12:09 kgv Note Edited: 0069083
2017-08-03 12:09 kgv Priority normal => low
2017-09-15 13:38 abv Target Version 7.4.0 => Unscheduled
2020-12-03 17:32 kgv Relationship added related to 0031975
2020-12-05 00:20 git Note Added: 0097333
2020-12-05 01:21 git Note Added: 0097335
2020-12-05 01:25 git Note Added: 0097337
2020-12-05 02:12 git Note Added: 0097339
2020-12-05 10:00 git Note Added: 0097340
2020-12-05 10:12 git Note Added: 0097342
2020-12-05 13:44 git Note Added: 0097387
2020-12-05 14:14 git Note Added: 0097388
2020-12-05 14:35 git Note Added: 0097389
2020-12-05 21:58 git Note Added: 0097391
2020-12-05 22:18 git Note Added: 0097392
2020-12-06 00:00 git Note Added: 0097394
2020-12-06 10:41 kgv Note Added: 0097395
2020-12-06 10:41 kgv Assigned To kgv => abv
2020-12-06 10:41 kgv Status new => resolved
2020-12-06 10:41 kgv Target Version Unscheduled => 7.6.0
2020-12-07 08:48 abv Note Added: 0097401
2020-12-07 08:48 abv Assigned To abv => kgv
2020-12-07 08:48 abv Status resolved => assigned
2020-12-07 09:57 kgv Note Added: 0097404
2020-12-08 21:16 abv Note Added: 0097433
2020-12-10 16:56 git Note Added: 0097469
2020-12-10 19:01 git Note Added: 0097479
2020-12-10 19:03 kgv Note Added: 0097481
2020-12-10 19:03 kgv Assigned To kgv => abv
2020-12-10 19:03 kgv Status assigned => resolved
2020-12-11 17:43 abv Note Added: 0097504
2020-12-11 17:43 abv Assigned To abv => bugmaster
2020-12-11 17:43 abv Status resolved => reviewed
2020-12-12 12:56 bugmaster Note Added: 0097526
2020-12-12 12:56 bugmaster Status reviewed => tested
2020-12-12 13:07 bugmaster Test case number => Not required
2020-12-12 13:13 bugmaster Changeset attached => occt master c22b52d6
2020-12-12 13:13 bugmaster Status tested => verified
2020-12-12 13:13 bugmaster Resolution open => fixed
2020-12-12 13:46 git Note Added: 0097532
2020-12-12 13:46 git Note Added: 0097533
2020-12-14 11:25 kgv Relationship replaced has duplicate 0031975
2021-09-30 12:21 kgv Relationship added parent of 0032599
2021-11-14 13:42 kgv Relationship added parent of 0032661
2021-12-17 18:41 bugmaster Changeset attached => occt-products master 3413f43a
2022-05-19 09:20 kgv Relationship added parent of 0032973